specific USB devices disconnect and don't reconnect

Bug #1630063 reported by Cody Smith on 2016-10-03
170
This bug affects 31 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Joseph Salisbury
Yakkety
Medium
Joseph Salisbury

Bug Description

2 USB ports randomly disconnect and don't reconnect (it's always the same two), and in dmesg all I get is

"
[ 1276.916458] ohci-pci 0000:00:12.0: HcDoneHead not written back; disabled
[ 1276.916467] ohci-pci 0000:00:12.0: HC died; cleaning up
[ 1276.916553] usb 3-1: USB disconnect, device number 2
[ 1277.017302] usb 3-2: USB disconnect, device number 3
"
This only started happening when Yakkety went to the 4.8 branch, with 4.7 branch this doesn't occur, hence the bug report since it's unlikely that a hardware failure will only stick to one OS and one branch of the kernel for that OS. (these USB ports don't randomly die on Windows or BSD, I've tested that in the past couple of days)

kernel version: 4.8.0.17.27
Ubuntu version
Description: Ubuntu Yakkety Yak (development branch)
Release: 16.10
---
ApportVersion: 2.20.3-0ubuntu7
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: c_smith 2213 F.... pulseaudio
 /dev/snd/controlC0: c_smith 2213 F.... pulseaudio
CurrentDesktop: MATE
DistroRelease: Ubuntu 16.10
HibernationDevice: RESUME=UUID=1a29baaa-55ea-4817-ba45-8c618f65ec4b
InstallationDate: Installed on 2016-10-03 (0 days ago)
InstallationMedia: Ubuntu-MATE 16.10 "Yakkety Yak" - Alpha amd64 (20161002)
MachineType: Gigabyte Technology Co., Ltd. GA-78LMT-S2
NonfreeKernelModules: nvidia_uvm nvidia_drm nvidia_modeset nvidia
Package: linux (not installed)
ProcFB: 0 VESA VGA
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.8.0-17-generic root=/dev/mapper/Linux-root ro nomodeset quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 4.8.0-17.19-generic 4.8.0-rc7
RelatedPackageVersions:
 linux-restricted-modules-4.8.0-17-generic N/A
 linux-backports-modules-4.8.0-17-generic N/A
 linux-firmware 1.161
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
Tags: yakkety
Uname: Linux 4.8.0-17-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 01/09/2014
dmi.bios.vendor: Award Software International, Inc.
dmi.bios.version: F6
dmi.board.name: GA-78LMT-S2
dmi.board.vendor: Gigabyte Technology Co., Ltd.
dmi.chassis.type: 3
dmi.chassis.vendor: Gigabyte Technology Co., Ltd.
dmi.modalias: dmi:bvnAwardSoftwareInternational,Inc.:bvrF6:bd01/09/2014:svnGigabyteTechnologyCo.,Ltd.:pnGA-78LMT-S2:pvr:rvnGigabyteTechnologyCo.,Ltd.:rnGA-78LMT-S2:rvr:cvnGigabyteTechnologyCo.,Ltd.:ct3:cvr:
dmi.product.name: GA-78LMT-S2
dmi.sys.vendor: Gigabyte Technology Co., Ltd.

Brad Figg (brad-figg) on 2016-10-04
affects: linux-meta (Ubuntu) → linux (Ubuntu)

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1630063

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete

apport information

tags: added: apport-collected yakkety
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Can you see if this bug happens with the v4.8-rc1 kernel? It can be downloaded from:
http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.8-rc1/

If it does happen with -rc1, we can bisect between v4.7 and v4.8-rc1 to identify the commit that introduced this regression.

Thanks in advance!

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → In Progress
assignee: nobody → Joseph Salisbury (jsalisbury)
tags: added: performing-bisect
Cody Smith (cody.smith) wrote :

Sorry about the wait, had a drive mysteriously stop working (pinned the issue to a faulty SATA cable, still took out a good portion of my install), gonna try that here in a few minutes (meaning when I get the packages installed). I'll report back with the results.

Cody Smith (cody.smith) wrote :

Alright, results of that kernel aren't good, it doesn't even boot on my system, it just hangs just after grub hands over. But there was a new update for the 4.8 series, and for the meantime the usb bug doesn't seem to have hit yet, we'll see if it does before the end of tomorrow.

Cody Smith (cody.smith) wrote :

Okay, spoke too soon, and found what might be the device causing all this headache: my USB headset that works just fine with kernels before this, but on 4.8 seems to cause issues with ohci-pci. The minute I plug the headset in (or seconds afterwards), ohci-pci dies, so I'm thinking it may be a driver issue.

Bryan P (bryanpaluch) wrote :

I've got the same issue with a Razor Kraken Usb Audio and linux 4.8. I can take logs if its helpful.

Nathan Haines (nhaines) wrote :

Same here:

[ 8246.703778] usb 3-2: new full-speed USB device number 3 using ohci-pci
[ 8246.989449] usb 3-2: New USB device found, idVendor=046d, idProduct=0a29
[ 8246.989458] usb 3-2: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[ 8246.989462] usb 3-2: Product: Logitech Wireless Headset
[ 8246.989466] usb 3-2: Manufacturer: Logitech
[ 8246.989469] usb 3-2: SerialNumber: 88C626331D99
[ 8247.140766] input: Logitech Logitech Wireless Headset as /devices/pci0000:00/0000:00:12.0/usb3/3-2/3-2:1.3/0003:046D:0A29.0009/input/input19
[ 8247.200451] hid-generic 0003:046D:0A29.0009: input,hiddev0,hidraw8: USB HID v1.11 Device [Logitech Logitech Wireless Headset] on usb-0000:00:12.0-2/input3
[ 8288.294087] ohci-pci 0000:00:12.0: HcDoneHead not written back; disabled
[ 8288.294104] ohci-pci 0000:00:12.0: HC died; cleaning up
[ 8288.294212] usb 3-2: USB disconnect, device number 3
[ 8288.358244] usb 3-5: USB disconnect, device number 2

Bryan P (bryanpaluch) wrote :

I was able to fix the issue by changing the IO_WATCHDOG_DELAY in ohci-hcd.c from 250 msec to 275 msec. I suspect that the new timer wheel based timers in 4.8 have exposed a bug in the ohci driver. Before the io watchdog timer was set to 250 with 20 msecs of slack time. This is more than likely just a hack work around but I'm able to use my usb headphones now. Here's my diff

-bpaluch/media/bpaluch/f0c7f0e5-1628-458e-b05c-a92f73e9ed11/builds/ubuntu-yakkety ((e658052...))$ git diff
diff --git a/drivers/usb/host/ohci-hcd.c b/drivers/usb/host/ohci-hcd.c
index 1700908..86612ac 100644
--- a/drivers/usb/host/ohci-hcd.c
+++ b/drivers/usb/host/ohci-hcd.c
@@ -72,7 +72,7 @@
 static const char hcd_name [] = "ohci_hcd";

 #define STATECHANGE_DELAY msecs_to_jiffies(300)
-#define IO_WATCHDOG_DELAY msecs_to_jiffies(250)
+#define IO_WATCHDOG_DELAY msecs_to_jiffies(275)

 #include "ohci.h"
 #include "pci-quirks.h"

Joseph Salisbury (jsalisbury) wrote :

@Bryan, do you plan of sending a patch upstream?

To submit your patch, send your patch with the detailed description/changelog and your Signoff (ending with Signed-off-by: your name <email>), to the emails listed from ./scripts/get_maintainer.pl drivers/SUBSYSTEM-DETAILS (the get_maintainer.pl is from the kernel sources). Once you have sent the patch upstream and it's accepted, please drop a note here so that we can cherry-pick/include the patch into Ubuntu kernel.

Bryan P (bryanpaluch) wrote :

Yes I can. I will work on this tonight.

Bryan P (bryanpaluch) wrote :

I've submitted the patch. I'll drop a note when its accepted.

Rainer (rwahler) wrote :

I also run into this "HcDoneHead not written back; disabled" problem with the latest self compiled kernel 4.8.4 on debian 8. And the disappearing device is an "Eaton 5S 700" ups. It works with the last 4.7.10 without problems. So for the moment i will stick to 4.7.10.

Martin (getmartin) wrote :

This "HcDoneHead not written back; disabled" bug also affects me with the device "ID 08bb:27c4 Texas Instruments" on the 4.8.4 Kernel from Ubuntu mainline. With the kernel 4.7.10 it works without problems.

I also have this bug, which I filed for cups (since it first manifested with several aborted print jobs, which I assumed somehow caused my USB mouse to stop working)
See:
https://bugs.launchpad.net/ubuntu/+source/cups/+bug/1637037
for details.

Summary:

scott@scott-ASUS-M2N68-AM-PLUS:~$ uname -a
Linux scott-ASUS-M2N68-AM-PLUS 4.8.0-26-generic #28-Ubuntu SMP Tue Oct 18 14:39:52 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux
scott@scott-ASUS-M2N68-AM-PLUS:~$ lsb_release -dsc
Ubuntu 16.10
yakkety
scott@scott-ASUS-M2N68-AM-PLUS:~$ echo $DESKTOP_SESSION
Lubuntu

Oct 26 16:58:30 scott-ASUS-M2N68-AM-PLUS kernel: [ 2976.394360] ohci-pci 0000:00:02.0: HcDoneHead not written back; disabled
Oct 26 16:58:30 scott-ASUS-M2N68-AM-PLUS kernel: [ 2976.394367] ohci-pci 0000:00:02.0: HC died; cleaning up
Oct 26 16:58:30 scott-ASUS-M2N68-AM-PLUS kernel: [ 2976.394433] usb 2-1: USB disconnect, device number 2
Oct 26 16:58:30 scott-ASUS-M2N68-AM-PLUS kernel: [ 2976.394435] usb 2-1.1: USB disconnect, device number 5
Oct 26 16:58:30 scott-ASUS-M2N68-AM-PLUS kernel: [ 2976.443511] usb 2-1.2: USB disconnect, device number 6
Oct 26 16:58:30 scott-ASUS-M2N68-AM-PLUS acpid: input device has been disconnected, fd 10
Oct 26 16:58:30 scott-ASUS-M2N68-AM-PLUS kernel: [ 2976.578625] usb 2-1.3: USB disconnect, device number 7
Oct 26 16:58:30 scott-ASUS-M2N68-AM-PLUS kernel: [ 2976.615770] usb 2-1.4: USB disconnect, device number 8
Oct 26 16:58:30 scott-ASUS-M2N68-AM-PLUS kernel: [ 2976.616167] usb 2-2: USB disconnect, device number 3
Oct 26 16:58:30 scott-ASUS-M2N68-AM-PLUS kernel: [ 2976.653429] usb 2-3: USB disconnect, device number 4

[By the way - until a fix reaches everybody, here is a script that I found online and modified to fit my system...
The commented-out for statement is as the script was found.]

#!/bin/bash

if [[ $EUID != 0 ]] ; then
  echo This must be run as root!
  exit 1
fi

#for xhci in /sys/bus/pci/drivers/?hci_hcd ; do
 for xhci in /sys/bus/pci/drivers/?hci-pci ; do

  if ! cd $xhci ; then
    echo Weird error. Failed to change directory to $xhci
    exit 1
  fi

  echo Resetting devices from $xhci...

  for i in ????:??:??.? ; do
    if [ $i == "????:??:??.?" ]; then
    echo “ignoring”
    continue
    fi
    echo “Device $xhci:$i”
    echo -n "$i" > unbind
    echo -n "$i" > bind
  done
done

-------------------------------

I also found PointerKeys very useful before I found the above script,
as one of the disconnected devices was my mouse!

http://en.wikipedia.org/wiki/Mouse_keys
http://en.linuxreviews.org/HOWTO_use_the_numeric_keyboard_keys_as_mouse_in_XOrg )

setxkbmap -option keypad:pointerkeys
or, to have it always available:
Make a file “ /etc/X11/xorg.conf.d/20-pointerkeys.conf” (need sudo to create file)
(now: “/usr/share/X11/xorg.conf.d/..”)
Put in it:

Section "InputClass"
    Identifier "PointerKeys"
    MatchIsKeyboard "yes"
    Option "XkbOptions" "keypad:pointerkeys"
EndSection

[de]activate with Shift-Numlock.

Hope this helps someone!

I tested this bug with upstream kernel version 4.9.0-040900rc3-generic during several days and no occurrences of it anymore. I'll just consider this as fixed!

Graham Inggs (ginggs) wrote :

Looks like it was accepted here:
https://github.com/torvalds/linux/commit/ed6d6f8f42d7302f6f9b6245f34927ec20d26c12

We still need this to go into the yakkety 4.8 kernel.

The fix is in the current 4.8 stable rc.

On Nov 10, 2016 2:25 AM, "Graham Inggs" <email address hidden> wrote:

> Looks like it was accepted here:
> https://github.com/torvalds/linux/commit/ed6d6f8f42d7302f6f9b6245f34927
> ec20d26c12
>
> We still need this to go into the yakkety 4.8 kernel.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1630063
>
> Title:
> specific USB devices disconnect and don't reconnect
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/
> 1630063/+subscriptions
>

"The fix is in the current 4.8 stable rc."

How will I know what exact kernel version (when it pops up in Update Manager)
is the first to include this fix?

Bryan P (bryanpaluch) wrote :

Hi the fix is included in : http://git.kernel.org/cgit/linux/kernel/git/stable/linux-stable.git/tag/?h=v4.8.7

The fix (which is really a work around to a bug in the new timer implementation) is this commit
http://git.kernel.org/cgit/linux/kernel/git/stable/linux-stable.git/commit/drivers/usb/host?h=v4.8.7&id=b9aa0a7290f53bf2158e3e5b9a306f1006f3cc91

Ubuntu kernel maintainers will have to take the upstreamed release. @jsalisbury may know what the process for that is.

Joseph Salisbury (jsalisbury) wrote :

The Yakkety kernel with get the patch when the 4.8.7 updates are applied to the Ubuntu Yakkety kernel. The kernel currently has up to the 4.8.6 update. so 4.8.7 are next.

Soon, I hope...

It will be nice to be able to print something, and not have it hang somewhere in the middle of the page...

JohnEverest (john-everest) wrote :

I have been running kernel 4.8.7 64bit (from http://kernel.ubuntu.com/%7Ekernel-ppa/mainline/v4.8.7/) for a few days now. Appears to work OK with my hardware and fixes the USB problem.
:
AMD A10-7700K Radeon R7, 10 Compute Cores 4C+6G and NVIDIA Geforce GTX 750/PCIe/SSE2 with 367.57 driver.

Nick B. (futurepilot) wrote :

Ubuntu 16.10 has up to the 4.8.6 patches? According to this we're still at 4.8.1
http://people.canonical.com/~kernel/info/kernel-version-map.html

Joseph Salisbury (jsalisbury) wrote :

@Nick, that report may be out of date. The following Yakkety commit is when the updates were applied:

commit 3b532e6c54698867bfe1ccbecf9a557ca5e06009
Author: Greg Kroah-Hartman <email address hidden>
Date: Mon Oct 31 05:26:46 2016 -0600

    Linux 4.8.6

    BugLink: http://bugs.launchpad.net/bugs/1638748

    Signed-off-by: Tim Gardner <email address hidden>

And it looks like those updates are in Ubuntu-4.8.0-28:
git describe --contains 3b532e6c54698867bfe1ccbecf9a557ca5e06009
Ubuntu-4.8.0-28.30~36

"And it looks like those updates are in Ubuntu-4.8.0-28:"
I think not.

I do not find mention of this bug in the changelog for 4.8.0-28-generic (I searched for IO_WATCHDOG_DELAY, and USB and ohci - nothing for the latest version)
and an attempted print failed exactly the same way, with a dead-in-the-water USB mouse, and with most of the USB devices no longer listed for lsusb.

My usb reset script (not mine - I found it online somewhere, and modified it a bit to fit my situation) brought things back again and the syslog entries look just like before... :

Nov 18 18:12:26 scott-ASUS-M2N68-AM-PLUS kernel: [ 7049.029702] ohci-pci 0000:00:02.0: HcDoneHead not written back; disabled
Nov 18 18:12:26 scott-ASUS-M2N68-AM-PLUS kernel: [ 7049.029709] ohci-pci 0000:00:02.0: HC died; cleaning up
Nov 18 18:12:26 scott-ASUS-M2N68-AM-PLUS kernel: [ 7049.029770] usb 2-1: USB disconnect, device number 2
Nov 18 18:12:26 scott-ASUS-M2N68-AM-PLUS kernel: [ 7049.029772] usb 2-1.1: USB disconnect, device number 5
Nov 18 18:12:26 scott-ASUS-M2N68-AM-PLUS kernel: [ 7049.072512] usb 2-1.2: USB disconnect, device number 6
Nov 18 18:12:26 scott-ASUS-M2N68-AM-PLUS acpid: input device has been disconnected, fd 10
Nov 18 18:12:26 scott-ASUS-M2N68-AM-PLUS kernel: [ 7049.174018] usb 2-1.3: USB disconnect, device number 7
Nov 18 18:12:26 scott-ASUS-M2N68-AM-PLUS kernel: [ 7049.216254] usb 2-1.4: USB disconnect, device number 8
Nov 18 18:12:26 scott-ASUS-M2N68-AM-PLUS kernel: [ 7049.217445] usb 2-2: USB disconnect, device number 3
Nov 18 18:12:26 scott-ASUS-M2N68-AM-PLUS kernel: [ 7049.259107] usb 2-3: USB disconnect, device number 4
Nov 18 18:17:01 scott-ASUS-M2N68-AM-PLUS CRON[21826]: (root) CMD ( cd / && run-parts --report /etc/cron.hourly)
Nov 18 18:17:34 scott-ASUS-M2N68-AM-PLUS kernel: [ 7357.692303] ehci-pci 0000:00:02.1: remove, state 1
Nov 18 18:17:34 scott-ASUS-M2N68-AM-PLUS kernel: [ 7357.692312] usb usb1: USB disconnect, device number 1
Nov 18 18:17:34 scott-ASUS-M2N68-AM-PLUS kernel: [ 7357.692313] usb 1-4: USB disconnect, device number 5
Nov 18 18:17:34 scott-ASUS-M2N68-AM-PLUS kernel: [ 7357.731566] usb 1-6: USB disconnect, device number 6

-------------------------------------------------------------------------------
scott@scott-ASUS-M2N68-AM-PLUS:~$ uname -a
Linux scott-ASUS-M2N68-AM-PLUS 4.8.0-28-generic #30-Ubuntu SMP Fri Nov 11 14:03:52 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

scott@scott-ASUS-M2N68-AM-PLUS:~$ apt-cache policy linux-image*
linux-image-extra-4.8.0-28-generic:
  Installed: 4.8.0-28.30
linux-image-generic:
  Installed: 4.8.0.28.37
linux-image-4.8.0-28-generic:
  Installed: 4.8.0-28.30

Joseph Salisbury (jsalisbury) wrote :

@Scott, correct the fix is not coming in with the 4.8.6 updates. See comment #35.

The fix is coming in with the 4.8.7 updates. The current Yakkety -proposed kernel(4.8.0-28.30) only has up to Linux 4.8.6.

Gary Houston (ghouston) wrote :

I also had this problem, and found a different fix in 4.9 that fixed it (my original bug #1641052):

commit a8006bd915095c40098bfcb684cc2bdfb414dc0d
Merge: 965c4b7 6bad6bc
Author: Linus Torvalds <email address hidden>
Date: Fri Oct 28 11:26:01 2016 -0700

    Merge branch 'timers-urgent-for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/tip/tip

    Pull timer fixes from Ingo Molnar:
     "Fix four timer locking races: two were noticed by Linus while
      reviewing the code while chasing for a corruption bug, and two
      from fixing spurious USB timeouts"

    * 'timers-urgent-for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/tip/tip:
      timers: Prevent base clock corruption when forwarding
      timers: Prevent base clock rewind when forwarding clock
      timers: Lock base for same bucket optimization
      timers: Plug locking race vs. timer migration
Hide

Marc Volker Dickmann (marc-q) wrote :

The devices seems to be working when plugged in via USB 3.0 ports.

I just (yesterday?) installed Linux 4.8.0-29.31
"Release Tracking Bug
    - LP: #1646194

  * Yakkety update to v4.8.11 stable release (LP: #1645421)"

and for the first time since I installed Lubuntu 16.10, I can print, and have the whole
page get printed!

This seems to have fixed the problem.

From the changelog:

"usb: increase ohci watchdog delay to 275 msec"

Thank you, "Bryan P (bryanpaluch)" (and anyone else who might have been involved in getting this issue cleared up) !!!

Michael Bock (michi-bock) wrote :

Sorry, but updating to 4.8.0-30-generic yesterday still didn't solve that problem for me.

In my case it is the USB speaker (Alesis M1 Active 320 USB, which works as external sound card) what causes all USB ports except one to disconnect after playing sound for some seconds.

Luckily I can have my mouse at that remaining USB port.

Since 16.10 the only working kernel for me is 4.7.0-040700-generic.

Will I have to wait for 4.9?

Nick B. (futurepilot) wrote :

4.8.0-30 does not have the 4.8.11 update. It's still at 4.8.6. It's been
pushed back to 4.8.0-31

https://people.canonical.com/~kernel/info/kernel-version-map.html

On Sunday, December 11, 2016 12:01:45 PM EST Michael Bock wrote:
> Sorry, but updating to 4.8.0-30-generic yesterday still didn't solve
> that problem for me.
>
> In my case it is the USB speaker (Alesis M1 Active 320 USB, which works
> as external sound card) what causes all USB ports except one to
> disconnect after playing sound for some seconds.
>
> Luckily I can have my mouse at that remaining USB port.
>
> Since 16.10 the only working kernel for me is 4.7.0-040700-generic.
>
> Will I have to wait for 4.9?

>4.8.0-30 does not have the 4.8.11 update. It's still at 4.8.6

Is "Michael Bock (michi-bock)" referring to a different problem?

I installed the previous version (4.8.0-29.31), which said:
 "* Yakkety update to v4.8.11 stable release (LP: #1645421)"
and it fixed a timer problem ("usb: increase ohci watchdog delay to 275 msec").
It certainly fixed my printing problem (most USB devices failed every time I tried to print).

Michael Bock (michi-bock) wrote :

Hi Scott,

I think, it is the same problem, as I see the same dsmeg messages:
 ...
 HcDoneHead not written back; disabled
 HC died; cleaning up
 USB disconnect, device number x
 USB disconnect, device number y
 ...
and so on.

If you replace "print" with "playing sound on USB soundcard-speaker" in your description, it fits my problem exactly.
(Your "half page" is my "some seconds sound")

You're right when you find it irritating, that 4.8.0-29.31 seems to be v4.8.11 and 4.8.0-30.32 is v4.8.6.

I will wait for 4.8.0-31.33 (which I hope to be v4.8.11) and see, if that fixes my problem.

Nick B. (futurepilot) wrote :

4.8.0-29 does/did indeed include the fix but never made it out of proposed and has since been bumped to -31

On Dec 12, 2016, Scott Cowles Jacobs <email address hidden> wrote:
>>4.8.0-30 does not have the 4.8.11 update. It's still at 4.8.6
>
>Is "Michael Bock (michi-bock)" referring to a different problem?
>
>I installed the previous version (4.8.0-29.31), which said:
> "* Yakkety update to v4.8.11 stable release (LP: #1645421)"
>and it fixed a timer problem ("usb: increase ohci watchdog delay to 275
>msec").
>It certainly fixed my printing problem (most USB devices failed every
>time I tried to print).

-- Sent via the Samsung GALAXY S6

The Linux changelog people seem a bit comfused...

I just received Linux 4.8.0-31.33,
 and ITS changlog says:

" * Yakkety update to v4.8.11 stable release (LP: #1645421)
 ...
    - Linux 4.8.11

 * Yakkety update to 4.8.7 stable release (LP: #1642606)
...
   - usb: increase ohci watchdog delay to 275 msec
...
    - Linux 4.8.7
"

It lists changes for 4.8.0-31.33, ;.4.8.0-30.32, 4.8.0-28.30 and earlier,
but NOT for 4.8.0-29.31 , which was where issues for 4.8.11 were shown as fixed before (see my comment #44) And the changelog for 4.8.0-30.32 was very short - one item.

If it truly was not actually fixed until today, then the one time I tried to print and succeeded (after installing 4.8.0-29.31) must somehow have been a fluke...

Nick B. (futurepilot) wrote :

Like I said, -29 was basically renamed to -31. It HAS been fixed since -29 (now
-31)

On Tuesday, December 13, 2016 11:42:11 PM EST Scott Cowles Jacobs wrote:
> The Linux changelog people seem a bit comfused...
>
> I just received Linux 4.8.0-31.33,
> and ITS changlog says:
>
> " * Yakkety update to v4.8.11 stable release (LP: #1645421)
> ...
> - Linux 4.8.11
>
> * Yakkety update to 4.8.7 stable release (LP: #1642606)
> ...
> - usb: increase ohci watchdog delay to 275 msec
> ...
> - Linux 4.8.7
> "
>
> It lists changes for 4.8.0-31.33, ;.4.8.0-30.32, 4.8.0-28.30 and earlier,
> but NOT for 4.8.0-29.31 , which was where issues for 4.8.11 were shown as
> fixed before (see my comment #44) And the changelog for 4.8.0-30.32 was
> very short - one item.
>
> If it truly was not actually fixed until today, then the one time I
> tried to print and succeeded (after installing 4.8.0-29.31) must somehow
> have been a fluke...

Graham Inggs (ginggs) wrote :

With the 4.8.0-30.32 kernel I have been able to print a page, but attempting to scan results in my mouse dying.

hrna (hammett86) wrote :

I pulled the source from the git and fixed it myself while waiting for the official fix. It has been working out flawlessly. If you dont want to wait for the fix, doing it yourself will save your time and nerves ;) There are instructions what to change in this message chain and compiling the kernel goes quite without any troubles and instructions to do so can be found from here: https://wiki.ubuntu.com/Kernel/BuildYourOwnKernel

Michael Bock (michi-bock) wrote :

OK, today's update to 4.8.0-32-generic did solve that USB problem for me.

Cody Smith (cody.smith) wrote :

latest update is looking good, this bug hasn't surfaced since I rebooted about 15 minutes ago (and the bug always appeared well before that, within 5 minutes if that)

Graham Inggs (ginggs) wrote :

Testing again now with the 4.8.0-30.32 kernel, I have been able to scan a page and listen to several minutes of YouTube audio over USB headphones.

Changed in linux (Ubuntu Yakkety):
status: In Progress → Fix Released
Changed in linux (Ubuntu):
status: In Progress → Fix Released
Norbert (nrbrtx) wrote :

Git this bug on Xenial (4.4.0-79-generic) with BTC 5211AU USB keyboard.
Tried different laptop ports and external hubs.

Jun 26 15:31:10 localhost acpid: input device has been disconnected, fd 13
Jun 26 15:47:37 localhost acpid: input device has been disconnected, fd 14
Jun 26 16:06:00 localhost acpid: input device has been disconnected, fd 13
Jun 26 16:08:59 localhost acpid: input device has been disconnected, fd 14
Jun 26 16:17:42 localhost acpid: input device has been disconnected, fd 13
Jun 26 16:17:44 localhost acpid: input device has been disconnected, fd 14
Jun 26 16:36:21 localhost acpid: input device has been disconnected, fd 13
Jun 26 16:37:51 localhost acpid: input device has been disconnected, fd 14
Jun 26 16:48:10 localhost acpid: input device has been disconnected, fd 13
Jun 26 16:48:12 localhost acpid: input device has been disconnected, fd 14
Jun 26 16:52:26 localhost acpid: input device has been disconnected, fd 13
Jun 26 16:52:30 localhost acpid: input device has been disconnected, fd 1

But if I hit some key many times on keyboard I can get it working again.
Is it same bug? Should I disable USB auto-suspend or something?
I have 'tlp' installed.

Norbert (nrbrtx) on 2017-06-26
tags: added: xenial
Radoslav Ivanov (rivanov) wrote :

This bug is happening on Trusty as well.

```
Jul 05 13:23:38 matrix gnome-session[2559]: Loading configuration plugins
Jul 05 13:23:38 matrix gnome-session[2559]: Using gconf config backend
Jul 05 13:23:38 matrix gnome-session[2559]: {u'control': <blueman.bluez.ServiceInterface.ServiceInterface object at 0x7fd3010389d0>, u'headset': <blueman.bluez.Serv
Jul 05 13:23:38 matrix gnome-session[2559]: connect
Jul 05 13:23:39 matrix acpid[1596]: input device has been disconnected, fd 17
Jul 05 13:23:48 matrix kernel: input: E4:22:A5:1F:D6:11 as /devices/virtual/input/input23
Jul 05 13:23:49 matrix acpid[1596]: input device has been disconnected, fd 17
Jul 05 13:23:49 matrix gnome-session[2559]: Loading configuration plugins
Jul 05 13:23:49 matrix gnome-session[2559]: Using gconf config backend
Jul 05 13:23:49 matrix gnome-session[2559]: {u'control': <blueman.bluez.ServiceInterface.ServiceInterface object at 0x7f851805c9d0>, u'headset': <blueman.bluez.Serv
Jul 05 13:23:49 matrix gnome-session[2559]: connect
Jul 05 13:23:56 matrix gnome-session[2559]: Loading configuration plugins
Jul 05 13:23:56 matrix gnome-session[2559]: Using gconf config backend
Jul 05 13:23:56 matrix gnome-session[2559]: {u'control': <blueman.bluez.ServiceInterface.ServiceInterface object at 0x7f328c09e9d0>, u'headset': <blueman.bluez.Serv
Jul 05 13:23:56 matrix gnome-session[2559]: connect
Jul 05 13:24:03 matrix kernel: input: E4:22:A5:1F:D6:11 as /devices/virtual/input/input24
Jul 05 13:24:04 matrix acpid[1596]: input device has been disconnected, fd 17
Jul 05 13:24:04 matrix gnome-session[2559]: /usr/lib/python2.7/dist-packages/blueman/gui/manager/ManagerProgressbar.py:174: Warning: Source ID 7624 was not found when attempting to remove it
Jul 05 13:24:04 matrix gnome-session[2559]: gobject.source_remove(self.gsource)
Jul 05 13:24:53 matrix gnome-session[2559]: [4692:4692:0705/132453.536902:ERROR:CONSOLE(0)] "Unchecked runtime.lastError while running guestViewInternal.destroyGuest: Unknown error.", sour...index.html (0)
```

This happens when I try to connect the bluetooth audio of a plantronics beat fit.

Any ideas

- Cheers
rivanov

Gary Houston (ghouston) wrote :

If you don't see specific messages like:

 HcDoneHead not written back; disabled
 HC died; cleaning up

Then it's unlikely to be the same bug. This one has been fixed anyway. If you have a particular USB device that disconnects, it's likely to be either a hardware problem (check it on a different OS), or a problem with the USB driver for that device (maybe it's not supported at all). If you think it's a bug, raise a new issue for it and mention the exact device model in the subject.

KES (kes-kes-j) wrote :
Download full text (5.0 KiB)

Randomly (once a day, none or ten times in an hour) I got this:
Oct 13 11:19:55 work mtp-probe: checking bus 1, device 27: "/sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.4"
Oct 13 11:19:55 work mtp-probe: bus: 1, device: 27 was not an MTP device
Oct 13 11:20:44 work kernel: [ 6972.357596] usb 1-1-port4: disabled by hub (EMI?), re-enabling...
Oct 13 11:20:44 work kernel: [ 6972.357732] usb 1-1.4: USB disconnect, device number 27
Oct 13 11:20:45 work kernel: [ 6972.590461] usb 1-1.4: new low-speed USB device number 28 using ehci-pci
Oct 13 11:20:45 work kernel: [ 6972.686106] usb 1-1.4: New USB device found, idVendor=093a, idProduct=2516
Oct 13 11:20:45 work kernel: [ 6972.686112] usb 1-1.4: New USB device strings: Mfr=0, Product=2, SerialNumber=0
Oct 13 11:20:45 work kernel: [ 6972.686115] usb 1-1.4: Product: USB OPTICAL MOUSE
Oct 13 11:20:45 work kernel: [ 6972.690293] input: USB OPTICAL MOUSE as /devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.4/1-1.4:1.0/0003:093A:2516.001D/input/input44
Oct 13 11:20:45 work kernel: [ 6972.690562] hid-generic 0003:093A:2516.001D: input,hidraw1: USB HID v1.11 Mouse [USB OPTICAL MOUSE] on usb-0000:00:1a.0-1.4/input0
Oct 13 11:20:45 work mtp-probe: checking bus 1, device 28: "/sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.4"
Oct 13 11:20:45 work mtp-probe: bus: 1, device: 28 was not an MTP device

The mouse stops to work until physically reconnect.

The mouse:
Bus 001 Device 023: ID 093a:2516 Pixart Imaging, Inc.
Device Descriptor:
  bLength 18
  bDescriptorType 1
  bcdUSB 1.10
  bDeviceClass 0 (Defined at Interface level)
  bDeviceSubClass 0
  bDeviceProtocol 0
  bMaxPacketSize0 8
  idVendor 0x093a Pixart Imaging, Inc.
  idProduct 0x2516
  bcdDevice 1.00
  iManufacturer 0
  iProduct 2
  iSerial 0
  bNumConfigurations 1
  Configuration Descriptor:
    bLength 9
    bDescriptorType 2
    wTotalLength 34
    bNumInterfaces 1
    bConfigurationValue 1
    iConfiguration 4
    bmAttributes 0xa0
      (Bus Powered)
      Remote Wakeup
    bmAttributes 0xa0
      (Bus Powered)
      Remote Wakeup
    MaxPower 100mA
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 0
      bAlternateSetting 0
      bNumEndpoints 1
      bInterfaceClass 3 Human Interface Device
      bInterfaceSubClass 1 Boot Interface Subclass
      bInterfaceProtocol 2 Mouse
      iInterface 0
        HID Device Descriptor:
          bLength 9
          bDescriptorType 33
          bcdHID 1.11
          bCountryCode 0 Not supported
          bNumDescriptors 1
          bDescriptorType 34 Report
          wDescriptorLength 79
         Report Descriptors:
           ** UNAVAILABLE **
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x81 EP 1 IN
       ...

Read more...

KES (kes-kes-j) wrote :
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers